Subject: Re: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Alan Third <[email-masked]>
Date: Fri, 29 Nov 2019 21:27:19 +0000

On Sun, Nov 24, 2019 at 05:26:12PM +0000, Alan Third wrote:
> On Sat, Nov 23, 2019 at 01:02:50AM +0100, Adam Sjøgren wrote:
> > 
> > Note, though, how the RGB image looks different than the two others, it
> > has a border added.
> 
> This is caused by the smoothing of the image. After a LOT of searching
> around I found out we need to set the repeat value for the Picture to
> pad so that when it’s applying the filter and looking outside the
> image bounds it will look for the nearest real pixel rather than
> inventing a transparent black one.
> 
> Patch attached.

I’ve pushed the patch to master. I’m closing this bug report.
-- 
Alan Third